> ## Documentation Index
> Fetch the complete documentation index at: https://docs.maesn.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get dimensions

## Field support per integration

<AccordionGroup>
  <Accordion title="Business Central" icon="https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/businesscentral.svg?fit=max&auto=format&n=51AaCYhZi3VILsjj&q=85&s=9cdc50aa9f467133e9e9372eab83f38b" width="24" height="24" data-path="logo/businesscentral.svg">
    <Note>
      If you're not using the [Interactive Authentication Flow](/authentication#interactive-authentication-flow), make sure the query parameters `environmentName` and `companyId` are correctly populated.
      You can obtain these values by using the `GET Environments` and `GET Companies` endpoints available under the Authentication section.
    </Note>

    Supported filters: `none` <br />

    Support pagination: `false`

    Support rawData: `true`

    <br />

    Supported Response Fields:

    <ResponseField name="description" type="string" />

    <ResponseField name="dimension" type="string" />
  </Accordion>

  <Accordion title="Exact" icon="https://mintcdn.com/maesn/gCd41Ws3USFubam4/logo/exact.svg?fit=max&auto=format&n=gCd41Ws3USFubam4&q=85&s=afa1af7a261b22f843ac73ee60896ede" width="24" height="24" data-path="logo/exact.svg">
    <Note>
      If you're not using the [Interactive Authentication Flow](/authentication#interactive-authentication-flow), make sure the query parameter `companyId` is correctly populated.
      You can obtain this value by using the `GET Companies` endpoint available under the Authentication section.
    </Note>

    Supported filters: `none` <br />
    Support pagination: `false` <br />
    Support rawData: `false`

    Supported Response Fields:

    <ResponseField name="description" type="string" />

    <ResponseField name="dimension" type="string" />
  </Accordion>

  <Accordion title="Twinfield" icon="https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/twinfield.svg?fit=max&auto=format&n=51AaCYhZi3VILsjj&q=85&s=aacf76ab75d30aabd615bc761d08f405" width="24" height="24" data-path="logo/twinfield.svg">
    <Note>
      If you're not using the [Interactive Authentication Flow](/authentication#interactive-authentication-flow), make sure the query parameter `companyId` is correctly populated.
      You can obtain this value by using the `GET Companies` endpoint available under the Authentication section.
    </Note>

    Supported filters: `none` <br />
    Support pagination: `false` <br />
    Support rawData: `false`

    Supported Response Fields:

    <ResponseField name="description" type="string" />

    <ResponseField name="dimension" type="string" />
  </Accordion>
</AccordionGroup>


## OpenAPI

````yaml get /accounting/v2/dimensions
openapi: 3.0.0
info:
  title: Maesn unified API
  description: The Maesn unified API description
  version: '2.0'
  contact: {}
servers:
  - url: https://api.maesn.dev
security: []
tags:
  - name: maesn
    description: ''
paths:
  /accounting/v2/dimensions:
    get:
      tags:
        - accounting
      operationId: getDimensionsV2
      parameters:
        - name: companyId
          required: false
          in: query
          schema:
            type: string
        - name: environmentName
          required: false
          in: query
          schema:
            type: string
        - name: rawData
          required: false
          in: query
          schema:
            type: boolean
        - name: X-API-KEY
          description: API key
          in: header
          schema:
            type: string
        - name: X-ACCOUNT-KEY
          description: Account key
          in: header
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/BaseResponseDto'
                  - properties:
                      data:
                        type: array
                        items:
                          $ref: '#/components/schemas/DimensionMetaResponseDto'
components:
  schemas:
    BaseResponseDto:
      type: object
      properties:
        meta:
          $ref: '#/components/schemas/MetaResponseV2'
        data:
          oneOf:
            - type: object
            - type: array
    DimensionMetaResponseDto:
      type: object
      properties:
        description:
          type: string
          example: Cost center
        dimension:
          type: string
          example: CostCenter
    MetaResponseV2:
      type: object
      properties:
        warnings:
          type: array
          items:
            type: string
            example: Field not used by target system
        pagination:
          $ref: '#/components/schemas/PaginationResponseV2'
    PaginationResponseV2:
      type: object
      properties:
        total:
          type: number
          example: 125
        perPage:
          type: number
          example: 50
        currentPage:
          type: number
          example: 1
        totalPages:
          type: number
          example: 3

````